Subject: Protocol Action: 'SLAP quadrant selection option for DHCPv6' to Proposed Standard (draft-ietf-dhc-slap-quadrant-12.txt)

From: The IESG <[email-masked]>
Date: Tue, 13 Oct 2020 08:21:09 -0700

The IESG has approved the following document:
- 'SLAP quadrant selection option for DHCPv6'
  (draft-ietf-dhc-slap-quadrant-12.txt) as Proposed Standard

This document is the product of the Dynamic Host Configuration Working Group.

The IESG contact persons are Erik Kline and Éric Vyncke.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-dhc-slap-quadrant/

Technical Summary

IEEE 802c includes new assignment approaches for MAC addresses. This defines four regions (quadrants) of the local MAC address space, each with their own set of semantics.
draft-ietf-dhc-mac-assign (another draft) defines a new mechanism enabling clients to request leasing of link-layer addressing by extending existing DHCPv6 processes. This draft extends
draft-ietf-dhc-mac-assign giving DHCP clients and relays a mechanism to indicate preferences for the SLAP quadrant that the server should allocate L2 addresses from.
One new DHCPv6 option is defined for this purpose.

Working Group Summary

This document has been progressed through the DHC workgroup. There is consensus in the WG for the publication of this document. No points or controversy has been raised during the authoring or review process.

Document Quality

Are there existing implementations of the protocol? Have a significant number of vendors indicated their plan to implement the specification? Are there any reviewers that merit special mention as having done a thorough review, e.g., one that resulted in important changes or a conclusion that the document had no substantive issues? If there was a MIB Doctor, YANG Doctor, Media Type or other expert review, what was its course (briefly)? In the case of a Media Type review, on what date was the request posted?

There are no existing implementations of the specification. One of the authors (C. Bernandos) stated that he is involved in an EU project which may implement.

Personnel

Ian Farrer is the Document Shepherd.
Éric Vyncke is the Area Director

IANA Note

The IANA considerations section requests the assignment of a new DHCPv6 option code for the new DHCPv6 option defined in the document's body text. The data that is provided contains the necessary parameters for the option code assignment, including the "Client ORO" and "singleton option" values as described in section 24. of RFC8415.